textures/romy_uq/bus_sky
{
  qer_editorimage textures/romy_uq/bus_sky/clouds.tga
  q3map_lightmapFilterRadius 0 32
  q3map_sunExt 0.8 .749 .7294 50 225 78 2 32
  q3map_lightImage textures/romy_uq/bus_sky/sky_surfacelight.tga
  q3map_skyLight 150 3
  q3map_noFog
  q3map_globalTexture
  q3map_surfaceLight 150
  surfaceparm sky
  surfaceparm noimpact
  surfaceparm nolightmap
  skyparms - 500 -
  nopicmip
  {
    map textures/romy_uq/bus_sky/clouds.tga
    tcMod scroll 0.01 -0.005
    tcmod scale 5 5
    rgbGen identityLighting
  }
  {
    map textures/romy_uq/bus_sky/clouds2.tga
    tcMod scroll 0.04 -0.03
    blendFunc blend
    tcmod scale 3 3
    rgbGen identityLighting
  }
}

textures/romy_uq/whitefog
{
  qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
  fogparms ( .235 .196 .153 ) 1000
}

textures/romy_uq/metal1
{
	qer_editorimage textures/romy_uq/metal1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/romy_uq/metal1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/romy_uq/bubbles2_1
{
	nopicmip
	qer_editorimage textures/romy_uq/bubbles2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -1.093287 -41.198784 241.500214 sawtooth 0 1 1.000725 0.195925
	{
		clampmap textures/romy_uq/bubbles2.tga
		tcMod rotate 20.229958
		alphaGen wave sawtooth 1.000000 0.000000 1.000725 0.195925
		rgbGen wave sawtooth 1.000000 0.000000 1.000725 0.195925
		tcMod stretch sawtooth 0.000000 1.138240 1.000725 0.195925
		blendfunc add
	}
}

textures/romy_uq/bubbles2_12
{
	nopicmip
	qer_editorimage textures/romy_uq/bubbles2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 12.983425 -1.691125 95.949432 sawtooth 0 1 0.845538 0.495670
	{
		clampmap textures/romy_uq/bubbles2.tga
		tcMod rotate -2.724845
		alphaGen wave sawtooth 1.000000 0.000000 0.845538 0.495670
		rgbGen wave sawtooth 1.000000 0.000000 0.845538 0.495670
		tcMod stretch sawtooth 0.000000 0.903418 0.845538 0.495670
		blendfunc add
	}
}

textures/romy_uq/wood_2_shade
{
	qer_editorimage textures/romy_uq/wood_2.tga
	q3map_nonplanar
	q3map_shadeangle 179
	{
		map textures/romy_uq/wood_2.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/romy_uq/cage_lightn
{
	qer_editorimage textures/romy_uq/cage_lightn.tga
	q3map_lightimage textures/romy_uq/cage_lightn.tga
	q3map_lightrgb 1 0.999954 0.467735
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map textures/romy_uq/cage_lightn.tga
		rgbGen vertex
	}
	{
		map textures/romy_uq/cage_light.blendn.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/romy_uq/chain
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
    surfaceparm trans
    nopicmip 
        {
                map textures/romy_uq/chain.tga
                alphaFunc GE128
		depthWrite
		rgbGen exactVertex
        }
	
}

textures/romy_uq/tp_darkwood_singleplank
{
	surfaceparm woodsteps
	q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/romy_uq/tp_darkwood_singleplank.tga
		blendfunc filter
	}
}

textures/romy_uq/tp_oldboard_001
{
	surfaceparm woodsteps
	q3map_forceMeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/romy_uq/tp_oldboard_001.tga
		blendfunc filter
	}
}

textures/romy_uq/tp_stainedglass_001
{
	qer_editorimage textures/romy_uq/tp_stainedglass_001.tga
	q3map_lightimage textures/romy_uq/tp_stainedglass_001.tga
	q3map_surfacelight 150
	{
		map textures/romy_uq/tp_stainedglass_001.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}

textures/romy_uq/window_2_d
{
	qer_editorimage textures/romy_uq/window_2_d.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm alphashadow
	surfaceparm nolightmap
	//cull disable
	q3map_surfacelight 300
	q3map_lightsubdivide 32

	{
		map textures/romy_uq/window_2_d.tga
		rgbGen identity
	}
	{
		map textures/romy_uq/window_2_glow.tga
		blendfunc add
		rgbGen wave sin 1 0.1 1 9
	}
	//{
	//	map $lightmap
	//	blendfunc filter
	//	rgbGen identity
	//}
}
